(prompt "\nType \"VL-POLY\" to run........")

(defun c:vl-poly ( / theobj thelist n xval yval fname fn)

;load the visual lisp extensions
(vl-load-com)

;get the entity and entity name
(setq theobj (car (entsel "\nSelect a Polyline: ")))

;convert to vl object
(setq theobj (vlax-ename->vla-object theobj))

;check if it's a polyline
(if (= (vlax-get-property theobj 'ObjectName) "AcDbPolyline")

	;if it is, do the following
	(progn

		;retrieve the coordinates
		(setq thelist (vlax-get-property theobj 'coordinates))

		;convert to a list
		(setq thelist (vlax-safearray->list  (variant-value thelist)))

		;zero the counter
		(setq n 0)

		;create a text file
		(setq fname "coord.txt")

		;open it to write
		(setq fn (open fname "w"))

		;write the header
		(write-line "PolyLine X and Y Coordinates" fn)

		;underline the header
		(write-line "*****************************************" fn)

		;start the loop
		(repeat (/ (length thelist) 2)

			;get the x coordinate
			(setq xval (rtos (nth n thelist)))

			;increase the counter
			(setq n (1+ n))

			;get the y coordinate
			(setq yval (rtos (nth n thelist)))

			;write the x coordinate to the file
			(write-line  (strcat "X-Value : " xval)  fn)

			;write the x coordinate to the file
			(write-line  (strcat "Y-Value : " yval)  fn)

			;add a seperator
			(write-line "-----------------------------" fn)

			;increase the counter
			(setq n (1+ n))

		);repeat

		;close the file
		(close fn)

	);progn

		;it's not a polyline, inform the user
		(alert "This is not a Polyline!! - Please try again.")

);if 

 (princ)

);defun

;------------------------
;clean loading
(princ)
;---------------------------
;End of VL-POLY.LSP
;---------------------------
